Skip to main content
`Ctrl`+`K`

# TSTrajectoryViewFromOptions

View a `TSTrajectory` based on values in the options database

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectoryViewFromOptions(TSTrajectory A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - the `TSTrajectory` context

- obj - Optional object that provides prefix used for option name

- name - command line option

## Options Database Key

- -name [viewertype][:…] - option name and values. See `PetscObjectViewFromOptions()` for the possible arguments

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectoryView`, `PetscObjectViewFromOptions()`, `TSTrajectoryCreate()`

## Level

intermediate

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages